---
title: PyPI - Python
description: PyPI Collector Plugin
---

import Plugin from '@site/src/components/Plugins';

Collects PyPI (Python) Packages.

<Plugin transferTag="hoppr.core_plugins.collect_pypi_plugin">
{
`  process_timeout: 60
`
}
</Plugin>

### Configuration Options

| Option          | Details                                                     |
| ----------------| -------------------------------------------------------------|
| process_timeout | Number of seconds to attempt collect before timeout.  **Default:** 60 |
| pip_command     | String. Defaults to `pip`. Command to be used to execute pip commands |

:::note[System Dependencies]

Certain Linux distributions may require additional configuration.
See the [installation page](../../../using-hoppr/installation.md#install-pip) for more information.

:::

### Proxy and Certificate Configuration

To configure proxies, set the following environment variables:

| Environment Variable Name | Description
|---------------------------|------------
| `HTTP_PROXY`              | Proxy for the HTTP protocol.
| `HTTPS_PROXY`             | Proxy for the HTTPS protocol.
| `NO_PROXY`                | Comma-separated list of domains where proxies won't be used.

To configure a certificate for pip, run `pip config edit` and add the path to your certificate file to the `cert` property under the `[global]` section.

```ini
[global]
cert = <PATH_TO_MY_CERTIFICATE_FILE>
```

### Credentials Configuration

To specify credentials, you need a [credentials file](../../input-files/credentials.md).

Sample credentials file:

```yaml
---
schemaVersion: v1
kind: Credentials

metadata:
  name: Registry Credentials
  version: v1
  description: Sample credentials file

credential_required_services:
  - url: registry.gitlab.com
    user_env: CI_REGISTRY_USER
    pass_env: CI_REGISTRY_PASSWORD
```

### SBOM Generation Tools

- [syft](https://github.com/anchore/syft) (cli tool)
- [CycloneDX for Python](https://pypi.org/project/cyclonedx-bom/) (cli tool)
- [cyclonedx-python-generate-sbom](https://github.com/marketplace/actions/cyclonedx-python-generate-sbom) (GitHub Action)

:::note
For more tools visit the [CycloneDX Tool Center](https://cyclonedx.org/tool-center/)
:::
